/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package cricketdaemon.clientlib;

/**
 * This interface is provided to allow different data types to be 
 * "associated" with each other.  Usually, the association is made 
 * by tagging each object with a unique id.  Hence, instances from 
 * different types are associated with each when they have the same
 * id.  The actual formation of associations depends on the actual
 * implementation of the <code>isAssociated()</code> method.
 *
 * @author Allen Miu
 */
public interface Associable
{
    public Object getUniqueIdentifier();
    public boolean isAssociated(Associable other);
}
